> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update flowNodes

> Updates the specified flowNodes object.



## OpenAPI

````yaml 26.3/self-hosted/en/api-reference/openapi.json PUT /flowNodes(WorkspaceId='{WorkspaceId}',ConnectorId='{ConnectorId}',Style='{Style}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.3.9712.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /flowNodes(WorkspaceId='{WorkspaceId}',ConnectorId='{ConnectorId}',Style='{Style}'):
    put:
      tags:
        - flowNodes
      summary: Update flowNodes
      description: Updates the specified flowNodes object.
      operationId: updateflowNodes
      parameters:
        - name: WorkspaceId
          in: path
          description: The key WorkspaceId
          required: true
          schema:
            type: string
        - name: ConnectorId
          in: path
          description: The key ConnectorId
          required: true
          schema:
            type: string
        - name: Style
          in: path
          description: The key Style
          required: true
          schema:
            type: string
      requestBody:
        description: The flowNodes entity to update.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/flowNodes'
      responses:
        '200':
          description: EntitySet flowNodes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/flowNodes'
        '204':
          description: flowNodes updated
          content: {}
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    flowNodes:
      type: object
      properties:
        WorkspaceId:
          description: The Id of the workspace that contains the flow API.
          type: string
        ConnectorId:
          description: The Id of the connector that contains the flow API.
          type: string
        Style:
          description: The node style.
          type: string
        PositionX:
          description: The node position x.
          type: number
          format: double
        PositionY:
          description: The node position y.
          type: number
          format: double
        Width:
          description: The node width.
          type: number
          format: double
      required:
        - WorkspaceId
        - ConnectorId
        - Style
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````